Xalan-Java 2.7.1: Class XSLProcessorVersion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class XSLProcessorVersion

    java.lang.Object
      |
      +--org.apache.xalan.processor.XSLProcessorVersion

Deprecated. To be replaced by org.apache.xalan.Version.getVersion()

public class XSLProcessorVersion
extends java.lang.Object

Administrative class to keep track of the version number of the Xalan release.

See also: org/apache/xalan/res/XSLTInfo.properties

Usage:

Field Summary
`static int` | `DEVELOPMENT` Deprecated. Development Drop Number.
`static java.lang.String` | `LANGUAGE` Deprecated. Implementation Language.
`static int` | `MAINTENANCE` Deprecated. Maintenance Drop Number.
`static java.lang.String` | `PRODUCT` Deprecated. Constant name of product.
`static int` | `RELEASE` Deprecated. Release Number.
`static java.lang.String` | `S_VERSION` Deprecated. Version String like `"Xalan Language v.r[.dd| Dnn]"`.
`static int` | `VERSION` Deprecated. Major version number.

Constructor Summary
`XSLProcessorVersion()` Deprecated.

Method Summary
`static void` | `main(java.lang.String[] argv)` Deprecated. Print the processor version to the command line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCT

    public static final java.lang.String PRODUCT

  Deprecated.
  Constant name of product.

### LANGUAGE

    public static final java.lang.String LANGUAGE

  Deprecated.
  Implementation Language.

### VERSION

    public static final int VERSION

  Deprecated.
  Major version number. Version number. This changes only when there is a significant, externally apparent enhancement from the previous release. 'n' represents the n'th version. Clients should carefully consider the implications of new versions as external interfaces and behaviour may have changed.

### RELEASE

    public static final int RELEASE

  Deprecated.
  Release Number. Release number. This changes when: - a new set of functionality is to be added, eg, implementation of a new W3C specification. - API or behaviour change. - its designated as a reference release.

### MAINTENANCE

    public static final int MAINTENANCE

  Deprecated.
  Maintenance Drop Number. Optional identifier used to designate maintenance drop applied to a specific release and contains fixes for defects reported. It maintains compatibility with the release and contains no API changes. When missing, it designates the final and complete development drop for a release.

### DEVELOPMENT

    public static final int DEVELOPMENT

  Deprecated.
  Development Drop Number. Optional identifier designates development drop of a specific release. D01 is the first development drop of a new release. Development drops are works in progress towards a compeleted, final release. A specific development drop may not completely implement all aspects of a new feature, which may take several development drops to complete. At the point of the final drop for the release, the D suffix will be omitted. Each 'D' drops can contain functional enhancements as well as defect fixes. 'D' drops may not be as stable as the final releases.

### S_VERSION

    public static final java.lang.String S_VERSION

  Deprecated.
  Version String like `"Xalan Language v.r[.dd| Dnn]"`.

  Semantics of the version string are identical to the Xerces project.

Constructor Detail

### XSLProcessorVersion

    public XSLProcessorVersion()

  Deprecated.

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Deprecated.
  Print the processor version to the command line.
  Parameters:
    `argv` - command line arguments, unused.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.